.nlb-category-icon {
  display: block;
  position: relative;
  box-sizing: content-box;
  background-size: contain;
  height: 60px;
  min-width: 60px;
  background-repeat: no-repeat;
  //margin-right: 10px;

  &.bills {
    background-image: url('../../#{$path-images}/nlb-categories-ui/bills.svg');
  }

  &.bars {
    background-image: url('../../#{$path-images}/nlb-categories-ui/bars.svg');
  }

  &.categoriesATM {
    background-image: url('../../#{$path-images}/nlb-categories-ui/categoriesATM.svg');
  }

  &.education {
    background-image: url('../../#{$path-images}/nlb-categories-ui/education.svg');
  }

  &.entertainment {
    background-image: url('../../#{$path-images}/nlb-categories-ui/entertainment.svg');
  }

  &.finances {
    background-image: url('../../#{$path-images}/nlb-categories-ui/finances.svg');
  }

  &.groceries {
    background-image: url('../../#{$path-images}/nlb-categories-ui/groceries.svg');
  }

  &.health {
    background-image: url('../../#{$path-images}/nlb-categories-ui/health.svg');
  }

  &.other {
    background-image: url('../../#{$path-images}/nlb-categories-ui/other.svg');
  }

  &.salary {
    background-image: url('../../#{$path-images}/nlb-categories-ui/salary.svg');
  }

  &.savings {
    background-image: url('../../#{$path-images}/nlb-categories-ui/savings.svg');
  }

  &.shopping {
    background-image: url('../../#{$path-images}/nlb-categories-ui/shopping.svg');
  }

  &.transfers {
    background-image: url('../../#{$path-images}/nlb-categories-ui/transfers.svg');
  }

  &.transport {
    background-image: url('../../#{$path-images}/nlb-categories-ui/transport.svg');
  }
}

.btn {
  &.btn-categories-selected {
    color: white;
    background-color: $nlbIndigoColor;
  }
}

// Categories icon mapping
.category-icon {
  font-size: 22px;
  padding: 13px;
  border-radius: 50%;
  color: #fff;

  //in case when non existing category returned, set to default icon
  @extend .icon-nlb-ico-filter-categories !optional;
  background-color: #8294b9;

  &.category-shopping {
    @extend .icon-nlb-ico-shopping !optional;
    background-color: #e75185;
  }

  &.category-salary {
    @extend .icon-nlb-ico-salary !optional;
    background-color: #14a35f;
  }

  &.category-income {
    @extend .icon-nlb-ico-salary !optional;
    background-color: #14a35f;
  }

  &.category-salary-wages {
    @extend .icon-nlb-ico-salary !optional;
    background-color: #14a35f;
  }

  &.category-bars-restaurants {
    @extend .icon-nlb-ico-bars !optional;
    background-color: #ca2e55;
  }

  &.category-transfers {
    @extend .icon-nlb-ico-transfers !optional;
    background-color: #ff9e9d;
  }

  &.category-car-transport {
    @extend .icon-nlb-ico-car !optional;
    background-color: #ffc531;
  }

  &.category-transport {
    @extend .icon-nlb-ico-car !optional;
    background-color: #ffc531;
  }

  &.category-housing-and-utilities,
  &.category-utilities {
    @extend .icon-nlb-ico-bills !optional;
    background-color: #5371ed;
  }

  &.category-home {
    @extend .icon-nlb-ico-bills !optional;
    background-color: #5371ed;
  }

  &.category-groceries {
    @extend .icon-nlb-ico-groceries !optional;
    background-color: #ff970a;
  }

  &.category-health-care,
  &.category-health-personal-care {
    @extend .icon-nlb-ico-health !optional;
    background-color: #00b997;
  }

  &.category-beauty-care {
    @extend .icon-nlb-ico-health !optional;
    background-color: #00b997;
  }

  &.category-kids {
    @extend .icon-nlb-ico-kids !optional;
    background-color: #987ed9;
  }

  &.category-finances-insurance {
    @extend .icon-nlb-ico-finances !optional;
    background-color: #9f7859;
  }

  &.category-savings-investments {
    @extend .icon-nlb-ico-savings !optional;
    background-color: #9f7859;
  }

  &.category-loans {
    @extend .icon-nlb-ico-savings !optional;
    background-color: #9f7859;
  }

  &.category-uncategorised,
  &.category-rent,
  &.category-other {
    @extend .icon-nlb-ico-filter-categories !optional;
    background-color: #8294b9;
  }

  &.category-split {
    @extend .icon-nlb-ico-split !optional;
    background-color: #8294b9;
  }

  &.category-choose {
    @extend .icon-nlb-ico-help !optional;
    background-color: #8294b9;
  }

  &.category-education {
    @extend .icon-nlb-ico-education !optional;
    background-color: #003770;
  }

  &.category-hobbies-and-entertainment {
    @extend .icon-nlb-ico-sport !optional;
    background-color: #00aac4;
  }

  &.category-sport-leisure {
    @extend .icon-nlb-ico-sport !optional;
    background-color: #00aac4;
  }

  &.category-cash {
    @extend .icon-nlb-ico-cash !optional;
    background-color: #49ccff;
  }

  &.category-gifts,
  &.category-bonus,
  &.category-petrol,
  &.category-atm,
  &.category-income,
  &.category-rental-income,
  &.category-interest-income,
  &.category-other-income {
    @extend .icon-nlb-ico-filter-categories !optional;
    background-color: #bc9314;
  }

  &.category-crdt {
    @extend .icon-nlb-ico-incoming !optional;
    color: #8db917;
    background-color: rgba(141, 185, 23, 0.2);
    font-size: 16px;
  }

  &.category-dbit {
    @extend .icon-nlb-ico-outgoing !optional;
    color: #61666e;
    background-color: #f2f3f4;
    font-size: 16px;
  }

  &.category-funds {
    @extend .icon-nlb-ico-zavarovanja !optional;
    color: #8b939e;
    background-color: #f3f4f5;
    font-size: 16px;
  }
}

//$category-list: (
//  //NEMAM
//    ("rent", "bicon-home", #BC9314),
//    ("mortgage", "bicon-home", #BC9314),
//    ("public-transport", "bicon-directions-car", #BC9314),
//    ("clothing", "bicon-shopping-cart", #BC9314),
//    ("electronics", "bicon-shopping-cart", #BC9314),
//    ("interest-income", "bicon-toll", #BC9314),
//    ("rental-income", "bicon-toll", #BC9314),
//    ("internet", "bicon-description", #8294B9),
//    ("mobile-phone", "bicon-description", #8294B9),
//    ("bonus", "bicon-add-box", #8294B9),
//    ("pending", "bicon-access-time", #8294B9),
//    // Business banking categories
//    // Spending
//    ("suppliers", false, #8294B9),
//    ("office-rent", false, #8294B9),
//    ("loan-repayment", false, #8294B9),
//    ("miscellaneous", false, #8294B9),
//    // Income
//    ("intercompany-receivable", false, #8294B9),
//    ("term-deposit", false, #8294B9),
//    ("direct-debit-collections", false, #8294B9),
//    ("intracompany-receivable", false, #8294B9),
//    ("interest-received", false, #8294B9),
//    //----------------
//    //IMAM
//    // 16 PFM Categories
//    ("salaries", "bicon-salary", #14A35F), // #1
//    ("other-income", "bicon-other-income", #BC9314), // #2
//    ("transfers", "bicon-transfers", #FF9E9D), // #3
//    ("groceries", "bicon-groceries", #FF970A), // #4
//    ("utilities", "bicon-utilities", #5371ED), // #5
//    ("restaurants", "bicon-restaurant", #CA2E55), // #6
//    ("bars-restaurants", "bicon-restaurant", #CA2E55), // #6
//    ("beauty", "bicon-beauty", #00B997), // #7
//    ("health-care", "bicon-health", #00B997), // #7
//    ("savings-investments", "bicon-savings", #9f7859), // #8
//    ("finances-insurance", "bicon-finances", #9f7859), // #9
//    ("shopping", "bicon-shopping-cart", #E75185), // #10
//    ("kids", "bicon-kids", #E75185), // #11
//    ("education", "bicon-education", #003770), // #12
//    ("transportation", "bicon-transportation", #FFC531), // #13
//    ("car-transport", "bicon-transportation", #FFC531), // #13
//    ("car", "bicon-transportation", #FFC531), // #13
//    ("sport-leisure", "bicon-leisure", #E75185), // #14
//    ("cash", "bicon-cash", #49ccff), // #15
//    ("other", "bicon-other", #8294B9), // #16
//    ("unprocessed", "bicon-unprocessed", #8294B9), // #16
//    ("income", "bicon-other-income", #BC9314),
//    //***********
//    ("bills-utilities", "bicon-bills", #5371ED),
//    ("hobbies-entertainment", "bicon-local-play", #00AAC4),
//    ("salary-wages", "bicon-add-box", #14A35F),
//    ("uncategorised", "bicon-other", #8294B9),
//    ("food-drinks", "bicon-restaurant", #CA2E55),
//    ("fast-food", "bicon-restaurant", #CA2E55),
//    ("alcohol-bars", "bicon-restaurant", #CA2E55),
//    ("home", "bicon-home", #5371ED),
//    ("health-beauty", "bicon-beauty", #00B997),
//    ("health-fitness", "bicon-health", #00B997),
//);
//
//$chart-categories-colors: ();
//
//// Populate $chart-categories-colors map
//@each $category, $icon, $color in $category-list {
//  $iconContent: null;
//
//  @if $icon {
//    $iconContent: map-get($icon-map, str-slice($icon, 7));
//  }
//
//  $chart-categories-colors: append(
//      $chart-categories-colors,
//      #{$category $color $iconContent},
//      'comma'
//  );
//}
//
//
//// For Chart Coloring
//:root {
//  @each $category, $icon, $color in $category-list {
//    --chart-color-#{$category}: #{$color};
//  }
//  --chart-categories-colors: #{$chart-categories-colors};
//}
